Loading...
Searching...
No Matches
casacore::sisco::SiscoReader::Chunk Struct Reference

## Public Member Functions

bool | operator< (const Chunk &rhs) const

## Public Attributes

size_t | n_results_in_chunk
size_t | n_results_processed
size_t | decompressed_size
size_t | chunk_index
std::vector< std::byte > | read_buffer
std::vector< std::byte > | decompress_buffer

## Detailed Description

Definition at line 25 of file SiscoReader.h.

## Member Function Documentation

## operator<()

bool casacore::sisco::SiscoReader::Chunk::operator< | ( | const Chunk & | rhs | ) | const

inline

Definition at line 33 of file SiscoReader.h.

References chunk_index.

## Member Data Documentation

## chunk_index

size_t casacore::sisco::SiscoReader::Chunk::chunk_index

Definition at line 29 of file SiscoReader.h.

Referenced by operator<().

## decompress_buffer

std::vector<std::byte> casacore::sisco::SiscoReader::Chunk::decompress_buffer

Definition at line 31 of file SiscoReader.h.

## decompressed_size

size_t casacore::sisco::SiscoReader::Chunk::decompressed_size

Definition at line 28 of file SiscoReader.h.

## n_results_in_chunk

size_t casacore::sisco::SiscoReader::Chunk::n_results_in_chunk

Definition at line 26 of file SiscoReader.h.

## n_results_processed

size_t casacore::sisco::SiscoReader::Chunk::n_results_processed

Definition at line 27 of file SiscoReader.h.

## read_buffer

std::vector<std::byte> casacore::sisco::SiscoReader::Chunk::read_buffer

Definition at line 30 of file SiscoReader.h.

The documentation for this struct was generated from the following file:

- tables/AlternateMans/SiscoReader.h